Get Data Qualification Services
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "Data qualification manually"
},
{
"id": 2,
"name": "Automatic validation + micro deposit"
},
{
"id": 3,
"name": "Automatic validation + micro deposit + manual correction"
},
{
"id": 4,
"name": "Automatic validation + deposit"
},
{
"id": 5,
"name": "Automatic validation + deposit + manual correction"
}
]
Data Qualification
Get Data Qualification Services
Retrieve available data qualification services
GET
/
v1
/
payout
/
data-qualification
/
services
Get Data Qualification Services
The data qualification services determine the procedures that will be applied to qualify the bank account.
Available Services
We have five data qualification services available:- 1 - Automatic validation: validates the document and bank account digits.
- 2 - Automatic validation + micro deposit: After the data is validated a micro deposit is made to the account to assure that it’s valid.
- 3 - Automatic validation + micro deposit + manual correction: Same as above plus manual check in case of failures.
- 4 - Automatic validation + deposit: Same as 2 but you provide the amount to be deposited.
- 5 - Automatic validation + deposit + manual correction: Same as 3 but you provide the amount to be deposited.
Response
Request Example
curl --request GET \
--url 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}'
async function getDataQualificationServices() {
const response = await fetch(
'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services',
{
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer {token}'
}
}
);
if (!response.ok) {
throw new Error(`Failed to fetch services: ${response.statusText}`);
}
return await response.json();
}
const services = await getDataQualificationServices();
console.log('Available services:', services);
import requests
def get_data_qualification_services():
url = 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services'
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {token}'
}
response = requests.get(url, headers=headers)
response.raise_for_status()
return response.json()
services = get_data_qualification_services()
print('Available services:', services)
[
{
"id": 1,
"name": "Data qualification manually"
},
{
"id": 2,
"name": "Automatic validation + micro deposit"
},
{
"id": 3,
"name": "Automatic validation + micro deposit + manual correction"
},
{
"id": 4,
"name": "Automatic validation + deposit"
},
{
"id": 5,
"name": "Automatic validation + deposit + manual correction"
}
]
Was this page helpful?
⌘I

